Skip to content

List validation presets

GET
/v1/validation-presets
curl --request GET \
--url https://api.submeto.com/v1/validation-presets \
--header 'Authorization: Bearer <token>'

Returns the reviewed validation presets that can be assigned to form fields. No form scope is required to call this endpoint.

Validation presets

Media typeapplication/json
object
data
Array<object>
object
value
string
label
string
applicable_types
Array<string>
request_id
string
Example
{
"data": [
{
"value": "email",
"label": "Email",
"applicable_types": [
"string"
]
},
{
"value": "url",
"label": "URL",
"applicable_types": [
"string"
]
},
{
"value": "integer",
"label": "Integer",
"applicable_types": [
"string",
"number"
]
}
],
"request_id": "REQUEST_ID"
}

Invalid API key

Media typeapplication/json
object
error
object
code
string
message
string
details
object
request_id
string
Example
{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key.",
"details": {}
},
"request_id": "REQUEST_ID"
}